<script setup lang="ts">
import { type Ref, inject, ref } from 'vue';

const drawer = inject<Ref<boolean>>('drawer')
const rail = inject<Ref<boolean>>('rail')
const signedInUserInfo = ref(inject('signedInUserInfo'));





</script>
<template>
  <v-navigation-drawer v-model="drawer" :rail="rail" permanent @click="rail = false" style="background-color: rgb(139, 123, 102);">
    <v-list-item prepend-avatar="https://i.pinimg.com/originals/aa/b5/b4/aab5b42dc0f75507d0ff1a10bd169ca2.gif"  style="color: azure; background-color: rgba(41, 36, 27, 0.623);" nav>
      <v-list-item-title>D Coffee</v-list-item-title>
  <v-list-item-subtitle>{{ signedInUserInfo }}</v-list-item-subtitle>
      <template v-slot:append>
        <v-btn variant="text" icon="mdi-chevron-left" @click.stop="rail = !rail" ></v-btn>
      </template>
      
    </v-list-item>

    <v-divider></v-divider>

    <v-list density="compact" nav>
      <v-list-item style="color: azure;" prepend-icon="mdi-book" title="POS" value="POS" :to="{ name: 'pos' }"></v-list-item>
      <v-list-item style="color: azure;" prepend-icon="mdi-account" title="Users" value="Users" :to="{ name: 'users' }"></v-list-item>
      <v-list-item style="color: azure;" prepend-icon="mdi mdi-package-variant-closed" title="Stock" value="stock" :to="{ name: 'stock' }"></v-list-item>
      <v-list-item style="color: azure;" prepend-icon="mdi-cart-variant" title="Order" value="order" :to="{ name: 'order' }"></v-list-item>
      <v-list-item style="color: azure;" prepend-icon="mdi-timetable" title="Checkwork" value="Checkwork"
        :to="{ name: 'checkwork' }"></v-list-item>
      <v-list-item style="color: azure;" prepend-icon="mdi-wallet-membership" title="Member" value="member" :to="{ name: 'member' }"></v-list-item>
      <!-- <v-list-item style="color: azure;" prepend-icon="mdi-information-variant-circle" title="About" value="About" :to="{ path: '/about' }"></v-list-item> -->
      <v-list-item style="color: azure;" prepend-icon="mdi-currency-usd" title="Salary" value="Salary" :to="{ name: 'salary' }"></v-list-item>
      <v-list-item style="color: azure;" prepend-icon="mdi-folder-lock" title="Receipt History" value="rhistory" :to="{ name: 'rhistory' }"></v-list-item>
      
    </v-list>
  </v-navigation-drawer>
  
</template> 